Price lists: Bimp API methods
Bimp API methods for the “Price lists” resource (/org2/priceList/…): 7 methods. Base URL: https://app.bimpsoft.com. All requests except login pass the company token in the access-token header — see Getting started with the API.
| Method | What it does |
|---|---|
POST /org2/priceList/api-readList | A request to view a list of price lists |
POST /org2/priceList/api-read | A request to obtain detailed information for a particular price list |
POST /org2/priceList/api-create | A request to create a new price list |
POST /org2/priceList/api-update | A request to update information to an existing price list |
POST /org2/priceList/api-readPrice | A request to obtain prices for price lists |
POST /org2/priceList/api-createPrice | A request to create a new price |
POST /org2/priceList/api-updatePrice | A request to update information to an existing price |
api-readList
POST /org2/priceList/api-readList
A request to view a list of price lists
Request body (JSON)
| Field | Type | Required | Description |
|---|---|---|---|
pagination | object | yes | |
pagination.offset | number | yes | Begin from {offset} elements |
pagination.count | number | yes | Limit of paginated elemets |
main | boolean | Is this the main price list? |
Response: data field
| Field | Type | Description |
|---|---|---|
[].name | string | Price list name |
[].uuid | string | A unique uuid key for a price list |
[].main | boolean | Is this price list main? |
curl -X POST 'https://app.bimpsoft.com/org2/priceList/api-readList' \
-H 'access-token: <company token>' \
-H 'Content-Type: application/json' \
-d '{"pagination":{"offset":0,"count":10}}'
api-read
POST /org2/priceList/api-read
A request to obtain detailed information for a particular price list
Request body (JSON)
| Field | Type | Required | Description |
|---|---|---|---|
uuid | string (uuid) | yes | A unique uuid key for an Price list |
Response: data field
| Field | Type | Description |
|---|---|---|
uuid | string | A unique uuid key for a price list |
name | string | Price list name |
description | string | Price list description |
main | boolean | Is this price list main? |
currency | string | A unique name for the Currency, obtainable from the /currency/api-readList request |
curl -X POST 'https://app.bimpsoft.com/org2/priceList/api-read' \
-H 'access-token: <company token>' \
-H 'Content-Type: application/json' \
-d '{"uuid":"00000000-0000-0000-0000-000000000000"}'
api-create
POST /org2/priceList/api-create
A request to create a new price list
Request body (JSON)
| Field | Type | Required | Description |
|---|---|---|---|
name | string | yes | Price list name |
currency | string | yes | A unique name for the Currency, obtainable from the /currency/api-readList request |
description | string | Price list description |
Response: data field
| Field | Type | Description |
|---|---|---|
uuid | string | A unique uuid key for a price list |
curl -X POST 'https://app.bimpsoft.com/org2/priceList/api-create' \
-H 'access-token: <company token>' \
-H 'Content-Type: application/json' \
-d '{"name":"string","currency":"string"}'
api-update
POST /org2/priceList/api-update
A request to update information to an existing price list
Request body (JSON)
| Field | Type | Required | Description |
|---|---|---|---|
uuid | string | yes | A unique uuid key for a price list |
name | string | Price list name | |
description | string | Price list description | |
currency | string | A unique name for the Currency, obtainable from the /currency/api-readList request |
curl -X POST 'https://app.bimpsoft.com/org2/priceList/api-update' \
-H 'access-token: <company token>' \
-H 'Content-Type: application/json' \
-d '{"uuid":"string"}'
api-readPrice
POST /org2/priceList/api-readPrice
A request to obtain prices for price lists
Request body (JSON)
| Field | Type | Required | Description |
|---|---|---|---|
priceListUuid | string (uuid) | yes | A unique identifier for the Price List, obtainable from the /priceList/api-readList request |
Response: data field
| Field | Type | Description |
|---|---|---|
[].nomenclatureUuid | string | |
[].prices | object[] | |
[].prices[].amount | number | |
[].prices[].date | string | |
[].prices[].currency | string |
curl -X POST 'https://app.bimpsoft.com/org2/priceList/api-readPrice' \
-H 'access-token: <company token>' \
-H 'Content-Type: application/json' \
-d '{"priceListUuid":"00000000-0000-0000-0000-000000000000"}'
api-createPrice
POST /org2/priceList/api-createPrice
A request to create a new price
Request body (JSON)
| Field | Type | Required | Description |
|---|---|---|---|
nomenclatureUuid | string (uuid) | yes | A unique identifier for the Nomenclature, obtainable from the /nomenclature/api-readList request |
priceListUuid | string (uuid) | yes | A unique identifier for the Price List, obtainable from the /priceList/api-readList request |
amount | number | yes | Price amount |
date | string (date-time) |
curl -X POST 'https://app.bimpsoft.com/org2/priceList/api-createPrice' \
-H 'access-token: <company token>' \
-H 'Content-Type: application/json' \
-d '{"nomenclatureUuid":"00000000-0000-0000-0000-000000000000","priceListUuid":"00000000-0000-0000-0000-000000000000","amount":1}'
api-updatePrice
POST /org2/priceList/api-updatePrice
A request to update information to an existing price
Request body (JSON)
| Field | Type | Required | Description |
|---|---|---|---|
nomenclatureUuid | string (uuid) | yes | A unique identifier for the Nomenclature, obtainable from the /nomenclature/api-readList request |
priceListUuid | string (uuid) | yes | A unique identifier for the Price List, obtainable from the /priceList/api-readList request |
amount | number | yes | Price amount |
date | string (date-time) | yes |
curl -X POST 'https://app.bimpsoft.com/org2/priceList/api-updatePrice' \
-H 'access-token: <company token>' \
-H 'Content-Type: application/json' \
-d '{"nomenclatureUuid":"00000000-0000-0000-0000-000000000000","priceListUuid":"00000000-0000-0000-0000-000000000000","amount":1,"date":"2026-11-01T00:00:00.000Z"}'
Interactive documentation with a test request option: https://app.bimpsoft.com/docs. The OpenAPI specification is updated together with Bimp; this page is generated from it automatically.